@keyframes anim{
    0%   {background-color: pink;}
    25%  {background-color: lightblue;}
    50%  {background-color: lightgreen;}
    100% {background-color: lightyellow;}
}

@keyframes textAnim{
    0%   {color: #D4AF37;}
    50%  {color: #DAA520;}
    100% {color: #C39953;}
}

@keyframes backAnim{
    0% {background-color:pink;}
    50% {background-color:lightgreen;}
    100%{background-color: lightblue;}
}

body{
    background-color: black;
    margin-left: 15%;
    margin-right: 15%;
    border: 1px dotted pink;
    animation-name: backAnim;
    animation-duration: 20s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

h1{
    text-align: center;
    color:pink;
    font-family: fantasy, arial;
    text-decoration: underline;
    margin-bottom: 2px;
    font-size: 250%;
    animation-name: textAnim;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    
}

h2{
    text-align: center;
    color:pink;
    font-family: fantasy, arial;
    text-decoration: underline;
    margin: 0px;
    animation-name: textAnim;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}
input[type="text"]{
    color: blue;
    
}

input[type="email"]{
    color:red;
}

legend{
    font-size: 120%;
    color:pink;
    font-weight: bold;
    animation-name: textAnim;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

fieldset{
    margin-left: 5%;
    margin-right: 5%;
    font-family: fantasy, arial;
    color:white;
    font-style: italic;
    animation-name: textAnim;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}



input[type="submit"]{
    margin-top: 5px;
    margin-left: 5%;
    margin-right: 5%;
    font-size: 185%;
    background-color: pink;
    
    animation-name: anim;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

a{
    margin-top: 5px;
    margin-left: 5%;
    margin-right: 5%;
    font-size: 185%;
    color: pink;
    animation-name: textAnim;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    
}